# kdeui Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KToolBarButton Class Reference

A toolbar button. More...

`#include <ktoolbarbutton.h>`

Inheritance diagram for KToolBarButton:

[legend]
Collaboration diagram for KToolBarButton:

[legend]
List of all members.

## Public Slots

void | modeChange ()
virtual void | setTextLabel (const QString &, bool tipToo)

## Signals

void | clicked (int)
void | buttonClicked (int, Qt::ButtonState state)
void | doubleClicked (int)
void | pressed (int)
void | released (int)
void | toggled (int)
void | highlighted (int, bool)

## Public Member Functions

| KToolBarButton (const QString &icon, int id, QWidget *parent, const char *name=0L, const QString &txt=QString::null, KInstance *_instance=KGlobal::instance())
| KToolBarButton (const QPixmap &pixmap, int id, QWidget *parent, const char *name=0L, const QString &txt=QString::null)
| KToolBarButton (QWidget *parent=0L, const char *name=0L)
| ~KToolBarButton ()
virtual void | setPixmap (const QPixmap &pixmap) KDE_DEPRECATED
void | setDefaultPixmap (const QPixmap &pixmap) KDE_DEPRECATED
void | setDisabledPixmap (const QPixmap &pixmap) KDE_DEPRECATED
virtual void | setText (const QString &text)
virtual void | setIcon (const QString &icon)
virtual void | setIcon (const QPixmap &pixmap)
virtual void | setIconSet (const QIconSet &iconset)
KDE_DEPRECATED void | setIcon (const QString &icon, bool generate)
void | setDefaultIcon (const QString &icon) KDE_DEPRECATED
void | setDisabledIcon (const QString &icon) KDE_DEPRECATED
void | on (bool flag=true)
void | toggle ()
void | setToggle (bool toggle=true)
QPopupMenu * | popup ()
int | id () const
void | setPopup (QPopupMenu *p, bool unused=false)
void | setDelayedPopup (QPopupMenu *p, bool unused=false)
void | setRadio (bool f=true)
void | setNoStyle (bool no_style=true)

## Protected Slots

void | slotClicked ()
void | slotPressed ()
void | slotReleased ()
void | slotToggled ()
void | slotDelayTimeout ()

## Protected Member Functions

void | paletteChange (const QPalette &)
void | leaveEvent (QEvent *e)
void | enterEvent (QEvent *e)
void | drawButton (QPainter *p)
bool | eventFilter (QObject *o, QEvent *e)
void | mousePressEvent (QMouseEvent *)
void | mouseReleaseEvent (QMouseEvent *)
void | showMenu ()
QSize | sizeHint () const
QSize | minimumSizeHint () const
QSize | minimumSize () const
bool | isRaised () const
bool | isActive () const
int | iconTextMode () const
virtual void | virtual_hook (int id, void *data)

## Detailed Description

A toolbar button.

This is used internally by KToolBar, use the KToolBar methods instead.

Definition at line 44 of file ktoolbarbutton.h.

## Constructor & Destructor Documentation

KToolBarButton::KToolBarButton | ( | const QString & | icon,
|  | int | id,
|  | QWidget * | parent,
|  | const char * | name = `0L`,
|  | const QString & | txt = `QString::null`,
|  | KInstance * | _instance = `KGlobal::instance()`
| ) |

Construct a button with an icon loaded by the button itself.

This will trust the button to load the correct icon with the correct size.

Parameters:

  | icon | Name of icon to load (may be absolute or relative)
  | id | Id of this button
  | parent | This button's parent
  | name | This button's internal name
  | txt | This button's text (in a tooltip or otherwise)
  | _instance | the instance to use for this button

Definition at line 110 of file ktoolbarbutton.cpp.

References clicked(), modeChange(), and QToolButton::setTextLabel().

KToolBarButton::KToolBarButton | ( | const QPixmap & | pixmap,
|  | int | id,
|  | QWidget * | parent,
|  | const char * | name = `0L`,
|  | const QString & | txt = `QString::null`
| ) |

Construct a button with an existing pixmap.

It is not recommended that you use this as the internal icon loading code will almost always get it "right".

Parameters:

  | pixmap | Name of icon to load (may be absolute or relative)
  | id | Id of this button
  | parent | This button's parent
  | name | This button's internal name
  | txt | This button's text (in a tooltip or otherwise)

Definition at line 144 of file ktoolbarbutton.cpp.

References clicked(), modeChange(), setIconSet(), and QToolButton::setTextLabel().

KToolBarButton::KToolBarButton | ( | QWidget * | parent = `0L`,
|  | const char * | name = `0L`
| ) |

Construct a separator button.

Parameters:

  | parent | This button's parent
  | name | This button's internal name

Definition at line 100 of file ktoolbarbutton.cpp.

KToolBarButton::~KToolBarButton | ( |  | ) |

| Standard destructor. Definition at line 176 of file ktoolbarbutton.cpp.

## Member Function Documentation

void KToolBarButton::setPixmap | ( | const QPixmap & | pixmap | ) | `[virtual]`

Deprecated:
  Set the pixmap directly for this button. This pixmap should be the active one... the dimmed and disabled pixmaps are constructed based on this one. However, don't use this function unless you are positive that you don't want to use setIcon.

Parameters:

  | pixmap | The active pixmap

Definition at line 299 of file ktoolbarbutton.cpp.

References QToolButton::iconSet(), QToolButton::setIconSet(), and QIconSet::setPixmap().

Referenced by KToolBar::setButtonPixmap().

void KToolBarButton::setDefaultPixmap | ( | const QPixmap & | pixmap | ) |

Deprecated:
  Force the button to use this pixmap as the default one rather then generating it using effects.

Parameters:

  | pixmap | The pixmap to use as the default (normal) one

Definition at line 311 of file ktoolbarbutton.cpp.

References QToolButton::iconSet(), QToolButton::setIconSet(), and QIconSet::setPixmap().

void KToolBarButton::setDisabledPixmap | ( | const QPixmap & | pixmap | ) |

Deprecated:
  Force the button to use this pixmap when disabled one rather then generating it using effects.

Parameters:

  | pixmap | The pixmap to use when disabled

Definition at line 318 of file ktoolbarbutton.cpp.

References QToolButton::iconSet(), QToolButton::setIconSet(), and QIconSet::setPixmap().

void KToolBarButton::setText | ( | const QString & | text | ) | `[virtual]`

Set the text for this button.

The text will be either used as a tooltip (IconOnly) or will be along side the icon

Parameters:

  | text | The button (or tooltip) text

Definition at line 273 of file ktoolbarbutton.cpp.

References modeChange(), and QToolButton::setTextLabel().

void KToolBarButton::setIcon | ( | const QString & | icon | ) | `[virtual]`

Set the icon for this button.

The icon will be loaded internally with the correct size. This function is preferred over setIconSet

Parameters:

  | icon | The name of the icon

Definition at line 279 of file ktoolbarbutton.cpp.

References QToolButton::setIconSet().

Referenced by modeChange(), and KToolBar::setButtonIcon().

virtual void KToolBarButton::setIcon | ( | const QPixmap & | pixmap | ) | `[inline, virtual]`

Since:
  3.1

Definition at line 141 of file ktoolbarbutton.h.

void KToolBarButton::setIconSet | ( | const QIconSet & | iconset | ) | `[virtual]`

Set the pixmaps for this toolbar button from a QIconSet.

If you call this you don't need to call any of the other methods that set icons or pixmaps.

Parameters:

  | iconset | The iconset to use

Reimplemented from QToolButton.

Definition at line 293 of file ktoolbarbutton.cpp.

References QToolButton::setIconSet().

Referenced by KToolBarButton(), and KToolBar::setButtonIconSet().

KDE_DEPRECATED void KToolBarButton::setIcon | ( | const QString & | icon,
|  | bool | generate
| ) | `[inline]`

Deprecated:
  Set the active icon for this button. The pixmap itself is loaded internally based on the icon size... .. the disabled and default pixmaps, however will only be constructed if generate is true. This function is preferred over setPixmap

Parameters:

  | icon | The name of the active icon
  | generate | If true, then the other icons are automagically generated from this one

Definition at line 164 of file ktoolbarbutton.h.

void KToolBarButton::setDefaultIcon | ( | const QString & | icon | ) |

Deprecated:
  Force the button to use this icon as the default one rather then generating it using effects.

Parameters:

  | icon | The icon to use as the default (normal) one

Definition at line 325 of file ktoolbarbutton.cpp.

References QToolButton::iconSet(), QToolButton::setIconSet(), and QIconSet::setPixmap().

void KToolBarButton::setDisabledIcon | ( | const QString & | icon | ) |

Deprecated:
  Force the button to use this icon when disabled one rather then generating it using effects.

Parameters:

  | icon | The icon to use when disabled

Definition at line 339 of file ktoolbarbutton.cpp.

References QToolButton::iconSet(), QToolButton::setIconSet(), and QIconSet::setPixmap().

void KToolBarButton::on | ( | bool | flag = `true` | ) |

Turn this button on or off.

Parameters:

  | flag | true or false

Definition at line 696 of file ktoolbarbutton.cpp.

References QToolButton::setOn().

Referenced by KToolBar::setButton().

void KToolBarButton::toggle | ( |  | ) |

| Toggle this button. Reimplemented from QToolButton. Definition at line 708 of file ktoolbarbutton.cpp. References QToolButton::setOn(). Referenced by KToolBar::toggleButton().

void KToolBarButton::setToggle | ( | bool | toggle = `true` | ) |

Turn this button into a toggle button or disable the toggle aspects of it.

This does not toggle the button itself. Use toggle() for that.

Parameters:

  | toggle | true or false

Definition at line 714 of file ktoolbarbutton.cpp.

References QToolButton::setToggleButton().

Referenced by KToolBar::setToggle().

QPopupMenu * KToolBarButton::popup | ( |  | ) |

| Return a pointer to this button's popup menu (if it exists). Definition at line 353 of file ktoolbarbutton.cpp. References QToolButton::popup().

int KToolBarButton::id | ( |  | ) | const

Returns the button's id.

Since:
  3.2

Definition at line 753 of file ktoolbarbutton.cpp.

void KToolBarButton::setPopup | ( | QPopupMenu * | p,
|  | bool | unused = `false`
| ) |

Give this button a popup menu.

There will not be a delay when you press the button. Use setDelayedPopup if you want that behavior.

Parameters:

  | p | The new popup menu
  | unused | Has no effect - ignore it.

Definition at line 360 of file ktoolbarbutton.cpp.

References QToolButton::setPopup(), and QToolButton::setPopupDelay().

Referenced by KToolBar::insertButton(), KToolBarPopupAction::plug(), and KActionMenu::plug().

void KToolBarButton::setDelayedPopup | ( | QPopupMenu * | p,
|  | bool | unused = `false`
| ) |

Gives this button a delayed popup menu.

This function allows you to add a delayed popup menu to the button. The popup menu is then only displayed when the button is pressed and held down for about half a second.

Parameters:

  | p | the new popup menu
  | unused | Has no effect - ignore it.

Definition at line 367 of file ktoolbarbutton.cpp.

References QToolButton::setPopup(), and QToolButton::setPopupDelay().

Referenced by KToolBar::setDelayedPopup().

void KToolBarButton::setRadio | ( | bool | f = `true` | ) |

Turn this button into a radio button.

Parameters:

  | f | true or false

Definition at line 690 of file ktoolbarbutton.cpp.

Referenced by KToolBarRadioGroup::addButton().

void KToolBarButton::setNoStyle | ( | bool | no_style = `true` | ) |

Toolbar buttons naturally will assume the global styles concerning icons, icons sizes, etc.

You can use this function to explicitly turn this off, if you like.

Parameters:

  | no_style | Will disable styles if true

Definition at line 681 of file ktoolbarbutton.cpp.

References modeChange().

Referenced by KToolBar::setItemNoStyle().

void KToolBarButton::clicked | ( | int |  | ) | `[signal]`

| Emitted when the toolbar button is clicked (with LMB or MMB). Referenced by KToolBarButton().

void KToolBarButton::buttonClicked | ( | int | ,
|  | Qt::ButtonState | state
| ) | `[signal]`

Emitted when the toolbar button is clicked (with any mouse button).

Parameters:

  | state | makes it possible to find out which button was pressed, and whether any keyboard modifiers were held.

Since:
  3.4

Referenced by mouseReleaseEvent().

void KToolBarButton::modeChange | ( |  | ) | `[slot]`

This slot should be called whenever the toolbar mode has potentially changed.

This includes such events as text changing, orientation changing, etc.

Definition at line 181 of file ktoolbarbutton.cpp.

References QToolTip::add(), QSize::height(), QFontMetrics::lineSpacing(), QToolTip::remove(), setIcon(), QSize::setWidth(), QToolButton::textLabel(), KGlobalSettings::toolBarFont(), QSize::width(), and QFontMetrics::width().

Referenced by KToolBarButton(), setNoStyle(), and setText().

void KToolBarButton::mousePressEvent | ( | QMouseEvent * |  | ) | `[protected]`

Since:
  3.4

Definition at line 449 of file ktoolbarbutton.cpp.

void KToolBarButton::mouseReleaseEvent | ( | QMouseEvent * |  | ) | `[protected]`

Since:
  3.4

Definition at line 463 of file ktoolbarbutton.cpp.

References buttonClicked().

bool KToolBarButton::isRaised | ( |  | ) | const`[protected]`

Since:
  3.1

Definition at line 738 of file ktoolbarbutton.cpp.

bool KToolBarButton::isActive | ( |  | ) | const`[protected]`

Since:
  3.1

Definition at line 743 of file ktoolbarbutton.cpp.

int KToolBarButton::iconTextMode | ( |  | ) | const`[protected]`

Since:
  3.1

Definition at line 748 of file ktoolbarbutton.cpp.

The documentation for this class was generated from the following files:

- ktoolbarbutton.h
- ktoolbarbutton.cpp

This file is part of the documentation for kdeui Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:22:36 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003